{% extends 'base.html' %}
{% load static %}
{% load wagtailimages_tags %}
{% block content %}
  <div class="card">
    <div class="card-body" style="color: black;">
      
        <h1>{{ lecture.title }}</h1>
        <hr style="color: black;">
        {% for block in lecture.body %}
            {% if block.block_type == 'heading' %}
                <h2>{{ block.value }}</h2> <br/>
            {% elif block.block_type == 'paragraph' %}
                <p>{{ block.value }}</p> <br/>
            {% elif block.block_type == 'image' %}
                {% image block.value fill-800x600 %} <br/>
            {% elif block.block_type == 'document' %}
                <a href="{{ block.value.url }}">{{ block.value.title }}</a> <br/>
            {% endif %}
        {% endfor %}
    </div>
  </div>

 <div class="card">
     <div class="card-body" style="color: black;">

         {% for question in test_questions %}

                <form action="{% url 'answer_commit' lecture.pk %}" method="POST">
                   {% csrf_token %}
                    <fieldset>
                    <ul>
                        <p class="mb-2"> {{ question.text_question }} </p>
                        {% for answer in question.answers %}
                                <li>
                                    <input type="radio" id="{{answer.number}}-{{answer.text_answer}}" value="{{answer.number}}" name="text_answer">
                                    <label for="{{answer.number}}-{{answer.text_answer}}">{{ answer.text_answer }}</label>
                                </li>
                        {% endfor %}
                    </ul>
                    <button class="button" type="submit">Отправить ответ</button>
                    </fieldset>
                </form>
         {% endfor %}
     </div>
 </div>
{% endblock %}